/* Help text for OperServ */

static const char *os_help[] = {
"OperServ commands:",
"   MODE <channel> <modes>           Change a channel's modes",
"   KICK <channel> <nick> <reason>   Kick a user from a channel",
"   AKILL {ADD|DEL|LIST} [mask]      Manipulate the AKILL list",
" ",
"\2Notice:\2 All commands sent to OperServ are logged!",
NULL
};

static const char *mode_help[] = {
"Syntax: MODE <channel> <modes>",
" ",
"Allows IRCops to set channel modes for any channel.",
"Parameters are the same as for the standard /MODE",
"command.",
NULL
};

static const char *kick_help[] = {
"Syntax: MODE <channel> <user> <reason>",
" ",
"Allows IRCops to kick a user from any channel.",
"Parameters are the same as for the standard /KICK",
"command.  The kick message will have the nickname of the",
"IRCop sending the KICK command prepended; for example:",
" ",
"*** SpamMan has been kicked off channel #my_channel by OperServ (Alcan (Flood))",
NULL
};

static const char *akill_help[] = {
"Syntax: AKILL ADD <mask>",
"        AKILL DEL <mask>",
"        AKILL LIST [mask]",
" ",
"Allows IRCops to manipulate the AKILL list.  If a user",
"matching an AKILL mask attempts to connect, Services will",
"issue a KILL for that user.",
" ",
"AKILL ADD adds the given user@host mask to the AKILL",
"list.  AKILL DEL removes the given mask from the AKILL",
"list if it is present.  AKILL LIST shows all current",
"AKILLs; if the optional mask is given, the list is",
"limited to those AKILLs matching the mask.",
NULL
};
